Skip to content

Get holiday settings​

GET
/accounts/{accountUuid}/holidays/v2/settings

Get the holiday settings for an account

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Responses​

Successful response

application/json
JSON
{
  
"data": {
  
  
"useSystemHolidays": true
  
},
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Update holiday settings​

PATCH
/accounts/{accountUuid}/holidays/v2/settings

Update the holiday settings for an account

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"useSystemHolidays": true
}

Responses​

Successful response

application/json
JSON
{
  
"data": {
  
  
"useSystemHolidays": true
  
},
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Convert system holidays​

POST
/accounts/{accountUuid}/holidays/v2/settings/convert

Convert the system holidays for an account

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"year": 0,
  
"countryCode": "string",
  
"state": "string"
}

Responses​

Successful response

application/json
JSON
{
  
"data": "string",
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​